Index: trunk/source/processes/decay/History
===================================================================
--- trunk/source/processes/decay/History	(revision 1337)
+++ trunk/source/processes/decay/History	(revision 1347)
@@ -1,3 +1,3 @@
-$Id: History,v 1.34 2008/11/14 15:55:47 kurasige Exp $
+$Id: History,v 1.36 2010/10/30 07:45:38 kurasige Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,10 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+-Oct. 30 2010   H.Kurashige (decay-V09-03-01)
+- Fix minor bugs reported by Coverity
+
+-Aug. 10 2010   H.Kurashige (decay-V09-03-00)
+- Use const pointer to G4ParticleDefinition because it should not be modified.  
+
 -Sep. 19 2008   H.Kurashige (decay-V09-01-04)
 - modify process sub type enumeration
Index: trunk/source/processes/decay/src/G4DecayWithSpin.cc
===================================================================
--- trunk/source/processes/decay/src/G4DecayWithSpin.cc	(revision 1337)
+++ trunk/source/processes/decay/src/G4DecayWithSpin.cc	(revision 1347)
@@ -62,5 +62,5 @@
 // get particle
   const G4DynamicParticle* aParticle = aTrack.GetDynamicParticle();
-  G4ParticleDefinition* aParticleDef = aParticle->GetDefinition();
+  const G4ParticleDefinition* aParticleDef = aParticle->GetDefinition();
 
 // get parent_polarization
Index: trunk/source/processes/decay/src/G4PionDecayMakeSpin.cc
===================================================================
--- trunk/source/processes/decay/src/G4PionDecayMakeSpin.cc	(revision 1337)
+++ trunk/source/processes/decay/src/G4PionDecayMakeSpin.cc	(revision 1347)
@@ -96,5 +96,5 @@
     {
         G4DynamicParticle* aSecondary = (*products)[index];
-        G4ParticleDefinition* aSecondaryDef = aSecondary->GetDefinition();
+        const G4ParticleDefinition* aSecondaryDef = aSecondary->GetDefinition();
 
         if (aSecondaryDef == aMuonPlus ||
Index: trunk/source/processes/decay/tests/test01/decay_test_01.cc
===================================================================
--- trunk/source/processes/decay/tests/test01/decay_test_01.cc	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/decay_test_01.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: decay_test_01.cc,v 1.4 2007/05/07 10:12:29 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/processes/decay/tests/test01/include/Tst01DetectorConstruction.hh
===================================================================
--- trunk/source/processes/decay/tests/test01/include/Tst01DetectorConstruction.hh	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/include/Tst01DetectorConstruction.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01DetectorConstruction.hh,v 1.3 2006/06/29 19:31:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/processes/decay/tests/test01/include/Tst01GeneralPhysics.hh
===================================================================
--- trunk/source/processes/decay/tests/test01/include/Tst01GeneralPhysics.hh	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/include/Tst01GeneralPhysics.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01GeneralPhysics.hh,v 1.3 2006/06/29 19:31:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/processes/decay/tests/test01/include/Tst01ParticleGun.hh
===================================================================
--- trunk/source/processes/decay/tests/test01/include/Tst01ParticleGun.hh	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/include/Tst01ParticleGun.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01ParticleGun.hh,v 1.4 2006/06/29 19:31:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/processes/decay/tests/test01/include/Tst01ParticleGunMessenger.hh
===================================================================
--- trunk/source/processes/decay/tests/test01/include/Tst01ParticleGunMessenger.hh	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/include/Tst01ParticleGunMessenger.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01ParticleGunMessenger.hh,v 1.3 2006/06/29 19:31:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/processes/decay/tests/test01/include/Tst01PrimaryGeneratorAction.hh
===================================================================
--- trunk/source/processes/decay/tests/test01/include/Tst01PrimaryGeneratorAction.hh	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/include/Tst01PrimaryGeneratorAction.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01PrimaryGeneratorAction.hh,v 1.3 2006/06/29 19:31:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/processes/decay/tests/test01/include/Tst01RunAction.hh
===================================================================
--- trunk/source/processes/decay/tests/test01/include/Tst01RunAction.hh	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/include/Tst01RunAction.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01RunAction.hh,v 1.3 2006/06/29 19:31:56 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/processes/decay/tests/test01/src/Tst01DetectorConstruction.cc
===================================================================
--- trunk/source/processes/decay/tests/test01/src/Tst01DetectorConstruction.cc	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/src/Tst01DetectorConstruction.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01DetectorConstruction.cc,v 1.3 2006/06/29 19:31:58 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/processes/decay/tests/test01/src/Tst01GeneralPhysics.cc
===================================================================
--- trunk/source/processes/decay/tests/test01/src/Tst01GeneralPhysics.cc	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/src/Tst01GeneralPhysics.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01GeneralPhysics.cc,v 1.4 2006/06/29 19:32:00 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/processes/decay/tests/test01/src/Tst01ParticleGun.cc
===================================================================
--- trunk/source/processes/decay/tests/test01/src/Tst01ParticleGun.cc	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/src/Tst01ParticleGun.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01ParticleGun.cc,v 1.6 2008/10/24 15:24:16 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/processes/decay/tests/test01/src/Tst01ParticleGunMessenger.cc
===================================================================
--- trunk/source/processes/decay/tests/test01/src/Tst01ParticleGunMessenger.cc	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/src/Tst01ParticleGunMessenger.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01ParticleGunMessenger.cc,v 1.3 2006/06/29 19:32:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/processes/decay/tests/test01/src/Tst01PhysicsList.cc
===================================================================
--- trunk/source/processes/decay/tests/test01/src/Tst01PhysicsList.cc	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/src/Tst01PhysicsList.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01PhysicsList.cc,v 1.4 2006/06/29 19:32:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/processes/decay/tests/test01/src/Tst01PrimaryGeneratorAction.cc
===================================================================
--- trunk/source/processes/decay/tests/test01/src/Tst01PrimaryGeneratorAction.cc	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/src/Tst01PrimaryGeneratorAction.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01PrimaryGeneratorAction.cc,v 1.3 2006/06/29 19:32:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/processes/decay/tests/test01/src/Tst01RunAction.cc
===================================================================
--- trunk/source/processes/decay/tests/test01/src/Tst01RunAction.cc	(revision 1337)
+++ trunk/source/processes/decay/tests/test01/src/Tst01RunAction.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: Tst01RunAction.cc,v 1.4 2008/10/24 15:24:16 kurasige Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
